package com.persagy.dc.define.service.impl;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.persagy.dc.common.constant.ValidEnum;
import com.persagy.dc.define.dao.ObjectTypeMapper;
import com.persagy.dc.define.entity.ObjectType;
import com.persagy.dc.define.service.IObjectTypeService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;

/**
 * 对象类型 实现类
 * @author Charlie Yu
 * @date 2021-06-25
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class ObjectTypeServiceImpl implements IObjectTypeService {

    @Resource
    private ObjectTypeMapper dao;

    @Override
    public List<ObjectType> queryByCondition(Wrapper<ObjectType> queryWrapper) {
        return dao.selectList(queryWrapper);
    }

    @Override
    public Page queryByCondition(Page page, Wrapper<ObjectType> queryWrapper) {
        return dao.selectPage(page, queryWrapper);
    }

    @Override
    public ObjectType insert(ObjectType vo) {
        dao.insert(vo);
        return vo;
    }

    @Override
    public ObjectType update(ObjectType vo) {
        dao.updateById(vo);
        return vo;
    }

    @Override
    public void delete(String id) {
        ObjectType vo = dao.selectById(id);
        vo.setValid(ValidEnum.FALSE.getType());
        dao.updateById(vo);
    }
}
